Endpoints
nicola_status
Read source sync and local availability separately.
Request
This operation declares public access.
curl 'https://ursy.academy/wp-json/nicola/v2/status' \
-H 'Accept: application/json'- Scopes
- None declared
- Execution
- At the owning service
- Risk classification
- not declared
Parameters
This operation declares no parameters.
This operation is documented here. Use the owning service with the appropriate credentials and permissions to execute it.
Response schemas and request body
{
"requestBody": null,
"responses": {
"200": {
"description": "Source-owned structured public result",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"site_id",
"network_state",
"local_assistance"
],
"properties": {
"site_id": {
"type": "string"
},
"network_state": {
"type": "string"
},
"local_assistance": {
"type": "string"
},
"snapshot_projected_at": {
"type": [
"string",
"null"
]
},
"last_worker_at": {
"type": [
"string",
"null"
]
},
"last_projected_at": {
"type": [
"string",
"null"
]
},
"source_observed_at": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
}
}
},
"default": {
"description": "Bounded source error",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"error",
"request_id"
],
"properties": {
"error": {
"type": "object",
"required": [
"code",
"message",
"retryable"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"details": {
"type": "object"
}
}
},
"request_id": {
"type": "string"
}
}
}
}
}
}
}
}